Index: tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/handlers/ComputeProgression.java
===================================================================
--- tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/handlers/ComputeProgression.java	(revision 136)
+++ tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/handlers/ComputeProgression.java	(revision 137)
@@ -47,8 +47,8 @@
 import org.txm.chartsengine.rcp.editors.ChartEditorPart;
 import org.txm.chartsengine.svgbatik.rcp.SVGSWTChartsComponentsProvider;
 import org.txm.core.preferences.TXMPreferences;
-import org.txm.progression.core.functions.Progression2;
-import org.txm.progression.core.messages.TBXProgressionMessages;
+import org.txm.progression.core.functions.Progression;
+import org.txm.progression.core.messages.ProgressionCoreMessages;
 import org.txm.progression.core.preferences.ProgressionPreferences;
 import org.txm.progression.rcp.dialogs.ProgressionDialog;
 import org.txm.progression.rcp.forms.ProgressionParametersComposite;
@@ -72,7 +72,7 @@
 	// FIXME: should be put in an Activator? or better in an extension point loaded by the corpora view? or in a method called here as initTreeDoubleClickListener(Class resultDataType, String commandId)?
 	// adds a double click listener to the Corpus View
 	static	{
-		CorporaView.addDoubleClickListener(Progression2.class, "ComputeProgression"); //$NON-NLS-1$
+		CorporaView.addDoubleClickListener(Progression.class, "ComputeProgression"); //$NON-NLS-1$
 	}
 	
 	
@@ -85,7 +85,7 @@
 		if (!Toolbox.isSearchEngineInitialized()) return false;
 		
 		if (!Toolbox.isStatEngineInitialized()) {
-			Log.severe(TBXProgressionMessages.ComputeProgression_5);
+			Log.severe(ProgressionCoreMessages.ComputeProgression_5);
 			return null;
 		}
 		
@@ -97,8 +97,8 @@
 		if(selection.getFirstElement() instanceof Corpus)	{
 			Corpus corpus = (Corpus) selection.getFirstElement();
 
-			if (!Progression2.canRunProgression(corpus)) {
-				Log.severe(TBXProgressionMessages.ComputeProgression_0);
+			if (!Progression.canRunProgression(corpus)) {
+				Log.severe(ProgressionCoreMessages.ComputeProgression_0);
 				// La fonctionnalité Progression n'est pas encore disponible pour les sous-corpus discontinus.
 				return null;
 			}
@@ -114,8 +114,8 @@
 
 		}
 		// Reopens a progression result with default preferences
-		else if(selection.getFirstElement() instanceof Progression2)	{
-			openEditor((Progression2) selection.getFirstElement());
+		else if(selection.getFirstElement() instanceof Progression)	{
+			openEditor((Progression) selection.getFirstElement());
 		}
 		
 		return null;
@@ -132,7 +132,7 @@
 	 * @param cumulative
 	 * @return
 	 */
-	public static ChartEditorPart openEditor(Progression2 progression) {
+	public static ChartEditorPart openEditor(Progression progression) {
 		
 		
 		
@@ -210,7 +210,7 @@
 	public static Object computeProgression(final ProgressionDialog dialog) {
 		if (!Toolbox.isSearchEngineInitialized()) return false;
 		
-		JobHandler jobhandler = new JobHandler(NLS.bind(TBXProgressionMessages.ComputeProgression_2, dialog.getQueries(), dialog.getCorpus().getName())) {
+		JobHandler jobhandler = new JobHandler(NLS.bind(ProgressionCoreMessages.ComputeProgression_2, dialog.getQueries(), dialog.getCorpus().getName())) {
 			@Override
 			protected IStatus run(IProgressMonitor monitor) {
 				this.runInit(monitor);
@@ -218,12 +218,12 @@
 				try {
 					final Corpus corpus = dialog.getCorpus();
 					if (dialog.getQueries().size() == 0) {
-						Log.severe(TBXProgressionMessages.ComputeProgression_6);
+						Log.severe(ProgressionCoreMessages.ComputeProgression_6);
 						return Status.CANCEL_STATUS;
 					}
 
 					
-					final Progression2 progression = new Progression2(dialog.getCorpus(), dialog.getQueries(), dialog.getStructuralUnit(), dialog.getStructuralProperty(), dialog.getPropertyregex(),
+					final Progression progression = new Progression(dialog.getCorpus(), dialog.getQueries(), dialog.getStructuralUnit(), dialog.getStructuralProperty(), dialog.getPropertyregex(),
 							dialog.isCumulativeType(), dialog.getLineWidth(), dialog.isRepeatvalues(), dialog.getBandeMultiplier());
 
 					
@@ -236,7 +236,7 @@
 					
 					
 					
-					Log.info(NLS.bind(TBXProgressionMessages.ComputeProgression_4, 
+					Log.info(NLS.bind(ProgressionCoreMessages.ComputeProgression_4, 
 							new Object[]{dialog.getCorpus(), dialog.getQueries(), dialog.getStructuralUnit(), dialog.getStructuralProperty(), dialog.isCumulativeType()}));
 					
 					
@@ -247,7 +247,7 @@
 					boolean success = true;//progression.process();
 
 					if (!progression.stepQueries()) {
-						System.out.println(TBXProgressionMessages.ComputeProgression_3);
+						System.out.println(ProgressionCoreMessages.ComputeProgression_3);
 						return Status.CANCEL_STATUS;
 					}
 					if (monitor.isCanceled()) return Status.CANCEL_STATUS;
@@ -269,7 +269,7 @@
 								
 								openEditor(progression);
 									
-								StatusLine.setMessage(TBXProgressionMessages.ComputeProgression_10);
+								StatusLine.setMessage(ProgressionCoreMessages.ComputeProgression_10);
 								
 							}
 						});
@@ -280,16 +280,16 @@
 					CorporaView.storeResult(corpus, progression);
 					
 					monitor.worked(5);
-					System.out.println(NLS.bind(TBXProgressionMessages.ComputeProgression_12, progression.getPositionsCounts()));
+					System.out.println(NLS.bind(ProgressionCoreMessages.ComputeProgression_12, progression.getPositionsCounts()));
 				} catch (ThreadDeath td) { 
 					return Status.CANCEL_STATUS;
 				} catch (Exception e) {
-					System.out.println(NLS.bind(TBXProgressionMessages.ComputeProgression_13, e));
-					Log.severe(TBXProgressionMessages.ComputeProgression_13 + Log.toString(e));
+					System.out.println(NLS.bind(ProgressionCoreMessages.ComputeProgression_13, e));
+					Log.severe(ProgressionCoreMessages.ComputeProgression_13 + Log.toString(e));
 					try {
 						System.out.println(Messages.LastCQPError + Toolbox.getCqiClient().getLastCQPError());
 					} catch (Exception e1) {
-						System.out.println(TBXProgressionMessages.ComputeProgression_1 + e1);
+						System.out.println(ProgressionCoreMessages.ComputeProgression_1 + e1);
 						Log.printStackTrace(e1);
 					}
 				} finally {
Index: tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/editors/ChartEditorInput.java
===================================================================
--- tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/editors/ChartEditorInput.java	(revision 136)
+++ tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/editors/ChartEditorInput.java	(revision 137)
@@ -3,11 +3,11 @@
 import org.eclipse.jface.resource.ImageDescriptor;
 import org.eclipse.ui.IEditorInput;
 import org.eclipse.ui.IPersistableElement;
+import org.txm.chartsengine.core.ChartsEngine;
 import org.txm.chartsengine.core.preferences.ChartsEnginePreferences;
 import org.txm.chartsengine.rcp.SWTChartsComponentsProvider;
 import org.txm.core.preferences.TXMPreferences;
 import org.txm.functions.TXMResult;
-import org.txm.functions.specificities.SpecificitesResult;
 import org.txm.searchengine.cqp.corpus.Partition;
 
 /**
@@ -208,7 +208,15 @@
 		return this.swtChartsComponentsProvider;
 	}
 
+	/**
+	 * Gets the charts engine linked to this editor input.
+	 * @return
+	 */
+	public ChartsEngine getChartsEngine()	{
+		return this.swtChartsComponentsProvider.getChartsEngine();
+	}
 	
+	
 	@Override
 	public boolean equals(Object obj)	{
 		if(obj instanceof ChartEditorInput)	{
@@ -217,9 +225,9 @@
 //				return true;
 //			};
 			// Always recreate an editor for specificites result
-			if(((ChartEditorInput) obj).getResultData() instanceof SpecificitesResult)	{
-				return false;
-			}
+//			if(((ChartEditorInput) obj).getResultData() instanceof SpecificitesResult)	{
+//				return false;
+//			}
 			// Always recreate an editor for partition dimension result
 			if(((ChartEditorInput) obj).getResultData() instanceof Partition)	{
 				return false;
Index: tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/editors/ChartEditorPart.java
===================================================================
--- tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/editors/ChartEditorPart.java	(revision 136)
+++ tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/editors/ChartEditorPart.java	(revision 137)
@@ -4,7 +4,10 @@
 import java.io.File;
 import java.util.ArrayList;
 
+import org.eclipse.core.runtime.CoreException;
+import org.eclipse.core.runtime.IConfigurationElement;
 import org.eclipse.core.runtime.IProgressMonitor;
+import org.eclipse.core.runtime.Platform;
 import org.eclipse.swt.SWT;
 import org.eclipse.swt.events.SelectionEvent;
 import org.eclipse.swt.events.SelectionListener;
@@ -24,7 +27,10 @@
 import org.eclipse.ui.part.EditorPart;
 import org.eclipse.ui.part.MultiPageEditorPart;
 import org.eclipse.ui.plugin.AbstractUIPlugin;
+import org.txm.chartsengine.core.ChartsEngine;
 import org.txm.chartsengine.rcp.SWTChartsComponentsProvider;
+import org.txm.chartsengine.rcp.events.EventCallBack;
+import org.txm.chartsengine.rcp.events.EventCallBackHandler;
 import org.txm.chartsengine.rcp.swt.ChartComposite;
 import org.txm.chartsengine.rcp.swt.ChartEditorToolBar;
 import org.txm.functions.TXMResult;
@@ -42,7 +48,7 @@
 	/**
 	 * The <code>EditorPart</code> ID constant. 
 	 */
-	protected static final String ID =  ChartEditorPart.class.getCanonicalName();
+	//protected static final String ID =  ChartEditorPart.class.getCanonicalName();
 	 
 	/**
 	 * The tool bar.
@@ -118,15 +124,7 @@
 //	public abstract String getID();
 
 
-	/**
-	 * Gets the <code>EditorPart</code> ID.
-	 * @return the ID
-	 */
-	public String getID()	{
-		return ID;
-	}
 
-
 	@Override
 	public void init(IEditorSite site, IEditorInput input) throws PartInitException {
 		this.setSite(site);
@@ -249,7 +247,7 @@
 		//this.toolBar.setBackground(parent.getDisplay().getSystemColor(SWT.COLOR_WHITE));
 
 		// Chart composite
-		ChartComposite composite = this.getEditorInput().getSWTChartsComponentsProvider().createComposite(this, parent);
+		ChartComposite composite = this.getSWTChartsComponentsProvider().createComposite(this, parent);
 
 //		FormData formData2 = new FormData();
 //		formData2.top = new FormAttachment(toolBarsComposite, 10);
@@ -266,6 +264,52 @@
 		//parent.setBackground(parent.getDisplay().getSystemColor(SWT.COLOR_WHITE));
 
 		
+		
+		// initialize the default shared context menus as Export, etc.
+		SWTChartsComponentsProvider.initDefaultContextMenus(composite);
+
+		
+		// registers user entries event call back extensions
+		String extensionPointId = "org.txm.chartsengine.eventcallback"; //$NON-NLS-1$
+		IConfigurationElement[] contributions = Platform.getExtensionRegistry().getConfigurationElementsFor(extensionPointId);
+		
+		for(int i = 0; i < contributions.length; i++) {
+			if(
+				(
+						contributions[i].getAttribute("chartsEngineName") == null || //$NON-NLS-1$ // for callback that can be used for all charts engine implementations 
+						contributions[i].getAttribute("chartsEngineName").equals(this.getChartsEngine().getName()) //$NON-NLS-1$
+				)
+				&&
+				contributions[i].getAttribute("resultDataClass") != null //$NON-NLS-1$
+				&& contributions[i].getAttribute("resultDataClass").equals(this.getResultData().getClass().getName()) //$NON-NLS-1$
+				
+				&& (contributions[i].getAttribute("chartType") == null && this.getChartType().equals(this.getResultData().getClass().getName())  //$NON-NLS-1$
+					||
+					contributions[i].getAttribute("chartType") != null && contributions[i].getAttribute("chartType").equals(this.getChartType())  //$NON-NLS-1$  //$NON-NLS-2$
+				)
+				
+			)	{
+				try {
+					EventCallBack eventCallBack = (EventCallBack)contributions[i].createExecutableExtension("class");  //$NON-NLS-1$
+					
+					eventCallBack.setChartEditor(this);
+					
+					EventCallBackHandler mouseHandler = composite.getMouseCallBackHandler();
+					if(mouseHandler != null && mouseHandler.getEventCallBack(eventCallBack.getClass()) == null)	 {
+						mouseHandler.registerEventCallBack(eventCallBack);
+					}
+					EventCallBackHandler keyboardHandler = composite.getKeyCallBackHandler();
+					if(keyboardHandler != null && keyboardHandler.getEventCallBack(eventCallBack.getClass()) == null)	 {
+						keyboardHandler.registerEventCallBack(eventCallBack);
+					}
+				}
+				catch(CoreException e) {
+					e.printStackTrace();
+				}
+				break;
+			}
+		}
+		
 	}
 
 	
@@ -487,13 +531,21 @@
 	}
 
 	/**
-	 * Returns the chart components provider associated with the editor.
+	 * Returns the chart components provider associated with the editor (through its <code>ChartEditorInput</code>).
 	 * @return
 	 */
 	public SWTChartsComponentsProvider getSWTChartsComponentsProvider()	{
 		return this.getEditorInput().getSWTChartsComponentsProvider();
 	}
 
+	/**
+	 * Gets the charts engine associated with the editor (through its <code>ChartEditorInput</code>).
+	 * @return
+	 */
+	public ChartsEngine getChartsEngine()	{
+		return this.getEditorInput().getChartsEngine();
+	}
+	
 
 	/**
 	 * Exports the current view of the chart editor in the specified file.
Index: tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/handlers/ResetChartView.java
===================================================================
--- tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/handlers/ResetChartView.java	(revision 136)
+++ tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/handlers/ResetChartView.java	(revision 137)
@@ -3,8 +3,10 @@
 import org.eclipse.core.commands.AbstractHandler;
 import org.eclipse.core.commands.ExecutionEvent;
 import org.eclipse.core.commands.ExecutionException;
-import org.eclipse.ui.PlatformUI;
+import org.eclipse.swt.widgets.Event;
+import org.eclipse.swt.widgets.ToolItem;
 import org.txm.chartsengine.rcp.editors.ChartEditorPart;
+import org.txm.chartsengine.rcp.swt.ChartEditorToolBar;
 
 /**
  * Resets the chart view of the active chart editor part.
@@ -13,18 +15,16 @@
  */
 public class ResetChartView extends AbstractHandler {
 
-	/**
-	 * 
-	 */
-	public ResetChartView() {
-	}
 
 	/* (non-Javadoc)
 	 * @see org.eclipse.core.commands.IHandler#execute(org.eclipse.core.commands.ExecutionEvent)
 	 */
 	@Override
 	public Object execute(ExecutionEvent event) throws ExecutionException {
-		ChartEditorPart chartEditor = (ChartEditorPart) PlatformUI.getWorkbench().getActiveWorkbenchWindow().getActivePage().getActiveEditor();
+		ChartEditorPart chartEditor = ((ChartEditorToolBar)((ToolItem)((Event)event.getTrigger()).widget).getParent()).getEditorPart();
+		// for information the code below can not be used because it doesn't work in multi page editor, eg. for Singular Values editor in CA editor
+		//ChartEditorPart chartEditor = (ChartEditorPart) PlatformUI.getWorkbench().getActiveWorkbenchWindow().getActivePage().getActiveEditor();
+		
 		chartEditor.resetView();
 		chartEditor.forceFocus();
 		return null;
Index: tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/handlers/ExportChartEditorView.java
===================================================================
--- tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/handlers/ExportChartEditorView.java	(revision 136)
+++ tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/handlers/ExportChartEditorView.java	(revision 137)
@@ -31,12 +31,6 @@
 import java.io.IOException;
 //import java.nio.file.Files;
 
-
-
-
-
-
-
 import org.eclipse.core.commands.AbstractHandler;
 import org.eclipse.core.commands.ExecutionEvent;
 import org.eclipse.core.commands.ExecutionException;
@@ -45,13 +39,15 @@
 import org.eclipse.core.runtime.Status;
 import org.eclipse.osgi.util.NLS;
 import org.eclipse.swt.SWT;
+import org.eclipse.swt.widgets.Event;
 import org.eclipse.swt.widgets.FileDialog;
 import org.eclipse.swt.widgets.Shell;
+import org.eclipse.swt.widgets.ToolItem;
 import org.eclipse.ui.PlatformUI;
 import org.txm.chartsengine.core.ChartsEngine;
 import org.txm.chartsengine.rcp.SWTChartsComponentsProvider;
 import org.txm.chartsengine.rcp.editors.ChartEditorPart;
-import org.txm.rcpapplication.Application;
+import org.txm.chartsengine.rcp.swt.ChartEditorToolBar;
 import org.txm.rcpapplication.JobsTimer;
 import org.txm.rcpapplication.Messages;
 import org.txm.rcpapplication.StatusLine;
@@ -73,28 +69,16 @@
 
 	public static final String ID = "org.txm.chartsengine.rcp.handlers.ExportChartEditorView"; //$NON-NLS-1$
 
-	/**
-	 * The chart editor source of the event.
-	 */
-	protected ChartEditorPart chartEditorPart;
 
 	
-	public ExportChartEditorView() {
-		this.chartEditorPart = (ChartEditorPart) PlatformUI.getWorkbench().getActiveWorkbenchWindow().getActivePage().getActiveEditor();
-	}
-
-	
-	/**
-	 *
-	 * @param chartEditorPart
-	 */
-	public ExportChartEditorView(ChartEditorPart chartEditorPart) {
-		this.chartEditorPart = chartEditorPart;
-	}
-
 	@Override
 	public Object execute(ExecutionEvent event) throws ExecutionException {
 
+		final ChartEditorPart chartEditorPart = ((ChartEditorToolBar)((ToolItem)((Event)event.getTrigger()).widget).getParent()).getEditorPart();
+		// for information the code below can not be used because it doesn't work in multi page editor, eg. for Singular Values editor in CA editor
+		//final ChartEditorPart chartEditorPart = (ChartEditorPart) PlatformUI.getWorkbench().getActiveWorkbenchWindow().getActivePage().getActiveEditor();
+
+		
 		Shell shell = PlatformUI.getWorkbench().getActiveWorkbenchWindow().getShell();
 		final FileDialog dialog = new FileDialog(shell, SWT.SAVE);
 
Index: tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/SWTChartsComponentsProvider.java
===================================================================
--- tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/SWTChartsComponentsProvider.java	(revision 136)
+++ tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/SWTChartsComponentsProvider.java	(revision 137)
@@ -159,8 +159,28 @@
 	}
 
 	
+	/**
+	 * Creates and return a SWT EditorPart filled with a new chart for the specified result.
+	 * @param editorInputName
+	 * @param resultData
+	 * @param preferencesNode
+	 * @return
+	 */
+	public ChartEditorPart createChartEditor(String editorInputName, TXMResult resultData, String preferencesNode) {
+		return this.createChartEditor(editorInputName, resultData, preferencesNode, resultData.getClass().getName());
+	}
 	
 	/**
+	 * Creates and return a SWT EditorPart filled with a new chart for the specified result.
+	 * @param resultData
+	 * @param preferencesNode
+	 * @return
+	 */
+	public ChartEditorPart createChartEditor(TXMResult resultData, String preferencesNode, String chartType) {
+		return this.createChartEditor(this.getChartsEngine().getChartCreator(resultData.getClass(), chartType).getFileNamePrefix(), resultData, preferencesNode, chartType);
+	}
+	
+	/**
 	 * Creates a new chart for the specified result data and save it in the specified editor input.
 	 * A chart editor created with the editor input will be filled with chart.
 	 * @param chartEditorInput
@@ -632,39 +652,45 @@
 				
 				
 				// initialize the default shared context menus as Export, etc.
-				initDefaultContextMenus(openedChartEditorPart.getComposite());
+//				initDefaultContextMenus(openedChartEditorPart.getComposite());
 				
 				
 				
-				// registers user entries event call back extensions
-				String extensionPointId = "org.txm.chartsengine.eventcallback"; //$NON-NLS-1$
-				IConfigurationElement[] contributions = Platform.getExtensionRegistry().getConfigurationElementsFor(extensionPointId);
+//				// registers user entries event call back extensions
+//				String extensionPointId = "org.txm.chartsengine.eventcallback"; //$NON-NLS-1$
+//				IConfigurationElement[] contributions = Platform.getExtensionRegistry().getConfigurationElementsFor(extensionPointId);
+//				
+//				for(int i = 0; i < contributions.length; i++) {
+//					if(
+//							(
+//							contributions[i].getAttribute("chartsEngineName") == null || //$NON-NLS-1$ // for callback that can be used for all charts engine implementations 
+//							contributions[i].getAttribute("chartsEngineName").equals(this.chartsEngine.getName()) //$NON-NLS-1$
+//							)
+//							&&
+//							contributions[i].getAttribute("resultDataClass") != null &&
+//							contributions[i].getAttribute("resultDataClass").equals(openedChartEditorPart.getResultData().getClass().getName()) //$NON-NLS-1$
+//							)	{
+//						try {
+//							EventCallBack eventCallBack = (EventCallBack)contributions[i].createExecutableExtension("class");  //$NON-NLS-1$
+//							
+//							eventCallBack.setChartEditor(openedChartEditorPart);
+//							
+//							EventCallBackHandler mouseHandler = openedChartEditorPart.getComposite().getMouseCallBackHandler();
+//							if(mouseHandler != null && mouseHandler.getEventCallBack(eventCallBack.getClass()) == null)	 {
+//								mouseHandler.registerEventCallBack(eventCallBack);
+//							}
+//							EventCallBackHandler keyboardHandler = openedChartEditorPart.getComposite().getKeyCallBackHandler();
+//							if(keyboardHandler != null && keyboardHandler.getEventCallBack(eventCallBack.getClass()) == null)	 {
+//								keyboardHandler.registerEventCallBack(eventCallBack);
+//							}
+//						}
+//						catch(CoreException e) {
+//							e.printStackTrace();
+//						}
+//						break;
+//					}
+//				}
 				
-				for(int i = 0; i < contributions.length; i++) {
-					if(contributions[i].getAttribute("chartsEngineName").equals(this.chartsEngine.getName()) //$NON-NLS-1$
-							&& contributions[i].getAttribute("resultDataClass").equals(openedChartEditorPart.getResultData().getClass().getName()) //$NON-NLS-1$
-							)	{
-						try {
-							EventCallBack eventCallBack = (EventCallBack)contributions[i].createExecutableExtension("class");  //$NON-NLS-1$
-							
-							eventCallBack.setChartEditor(openedChartEditorPart);
-							
-							EventCallBackHandler mouseHandler = openedChartEditorPart.getComposite().getMouseCallBackHandler();
-							if(mouseHandler != null && mouseHandler.getEventCallBack(eventCallBack.getClass()) == null)	 {
-								mouseHandler.registerEventCallBack(eventCallBack);
-							}
-							EventCallBackHandler keyboardHandler = openedChartEditorPart.getComposite().getKeyCallBackHandler();
-							if(keyboardHandler != null && keyboardHandler.getEventCallBack(eventCallBack.getClass()) == null)	 {
-								keyboardHandler.registerEventCallBack(eventCallBack);
-							}
-						}
-						catch(CoreException e) {
-							e.printStackTrace();
-						}
-						break;
-					}
-				}
-				
 				openedChartEditorPart.forceFocus();
 				
 			}
@@ -681,7 +707,7 @@
 			for(int i = 0; i < ChartsEngine.getChartsEngines().size() && !canCreate; i++) {
 				if(ChartsEngine.getChartsEngines().get(i) != this.chartsEngine)	{
 					ChartsEngine chartsEngine = ChartsEngine.getChartsEngines().get(i);
-					canCreate = chartsEngine.canCreateChart(chartEditorInput.getResultData().getClass());
+					canCreate = chartsEngine.canCreateChart(chartEditorInput.getResultData().getClass(), chartType);
 					// get a provider that can manage the charts engine
 					if(canCreate)	{
 						SWTChartsComponentsProvider provider = SWTChartsComponentsProvider.getComponentsProvider(chartsEngine);
@@ -689,7 +715,7 @@
 							provider.setChartsEngine(chartsEngine);
 							chartEditorInput.setSWTChartsComponentsProvider(provider);
 							Log.warning(provider.toString());
-							return provider.openEditor(chartEditorInput, editorPartId);
+							return provider.openEditor(chartEditorInput, editorPartId, chartType);
 						}
 					}
 				}
Index: tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/events/BaseSelectionListener.java
===================================================================
--- tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/events/BaseSelectionListener.java	(revision 136)
+++ tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/events/BaseSelectionListener.java	(revision 137)
@@ -51,7 +51,7 @@
 		// Export view
 		else if(this.commandId == BaseSelectionListener.EXPORT_VIEW)	{
 
-			ExportChartEditorView exportChartEditorView = new ExportChartEditorView(this.chartEditor);
+			ExportChartEditorView exportChartEditorView = new ExportChartEditorView();
 			try {
 				// FIXME : can null argument make trouble ?
 				// FIXME: yes the problem here is that you can't get the application context from the ExecutionEvent in the command
Index: tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/events/EventCallBackHandler.java
===================================================================
--- tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/events/EventCallBackHandler.java	(revision 136)
+++ tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/events/EventCallBackHandler.java	(revision 137)
@@ -45,9 +45,9 @@
 	}
 	
 	/**
-	 * Registers a call back linked to the mouse clicked event.
+	 * Registers an event callback.
 	 * Only one event callback is allowed for a same class type.
-	 * @param mouseClickedCallBack the mouseClickedCallBack to set
+	 * @param eventCallBack
 	 */
 	public void registerEventCallBack(EventCallBack eventCallBack) {
 		// Do not add to event call backs of same type
@@ -57,6 +57,7 @@
 				return;
 			}
 		}
+		System.out.println("EventCallBackHandler.registerEventCallBack(): call back of type " + eventCallBack.getClass() + " registered.");
 		this.eventCallBacks.add(eventCallBack);
 		eventCallBack.setSwtChartsComponentProvider(this.swtChartsComponentProvider);
 	}
Index: tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/messages/SWTComponentsProviderMessages.java
===================================================================
--- tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/messages/SWTComponentsProviderMessages.java	(revision 136)
+++ tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/messages/SWTComponentsProviderMessages.java	(revision 137)
@@ -1,7 +1,7 @@
 package org.txm.chartsengine.rcp.messages;
 
 import org.eclipse.osgi.util.NLS;
-import org.txm.core.messages.TXMMessages;
+import org.txm.core.messages.TXMCoreMessages;
 
 public class SWTComponentsProviderMessages extends NLS {
 	
@@ -49,7 +49,7 @@
 	
 	static {
 		// initialize resource bundle
-		TXMMessages.initializeMessages(BUNDLE_NAME, SWTComponentsProviderMessages.class);
+		TXMCoreMessages.initializeMessages(BUNDLE_NAME, SWTComponentsProviderMessages.class);
 	}
 
 	private SWTComponentsProviderMessages() {
Index: tmp/org.txm.chartsengine.rcp/schema/org.txm.chartsengine.eventcallback.exsd
===================================================================
--- tmp/org.txm.chartsengine.rcp/schema/org.txm.chartsengine.eventcallback.exsd	(revision 136)
+++ tmp/org.txm.chartsengine.rcp/schema/org.txm.chartsengine.eventcallback.exsd	(revision 137)
@@ -73,6 +73,13 @@
                </documentation>
             </annotation>
          </attribute>
+         <attribute name="chartType" type="string">
+            <annotation>
+               <documentation>
+                  The chart type linked to this callback. It&apos;s dedicated to manage callbacks for most that one chart type, eg. CA Factorial Map and Singular Values Bar Chart. Can be left empty if only one chart type exists for the result data class.
+               </documentation>
+            </annotation>
+         </attribute>
       </complexType>
    </element>
 
Index: tmp/org.txm.partition.core/src/org/txm/partition/core/chartsengine/r/RPartitionDimensionsPieChartCreator.java
===================================================================
--- tmp/org.txm.partition.core/src/org/txm/partition/core/chartsengine/r/RPartitionDimensionsPieChartCreator.java	(revision 136)
+++ tmp/org.txm.partition.core/src/org/txm/partition/core/chartsengine/r/RPartitionDimensionsPieChartCreator.java	(revision 137)
@@ -7,7 +7,7 @@
 import org.txm.chartsengine.r.core.RChartsEngine;
 import org.txm.core.preferences.TXMPreferences;
 import org.txm.partition.core.chartsengine.base.Utils;
-import org.txm.partition.core.messages.TBXPartitionMessages;
+import org.txm.partition.core.messages.PartitionCoreMessages;
 import org.txm.partition.core.preferences.PartitionDimensionsPreferences;
 import org.txm.searchengine.cqp.corpus.Part;
 import org.txm.searchengine.cqp.corpus.Partition;
@@ -79,7 +79,7 @@
 			// Create chart title
 			String title = Utils.createPartitionDimensionsChartTitle(partition, sortPartsBySize, displayPartsCountInTitle);
 
-			String ylab = TBXPartitionMessages.CHARTSENGINE_PARTITION_DIMENSIONS_Y_AXIS_LABEL;
+			String ylab = PartitionCoreMessages.CHARTSENGINE_PARTITION_DIMENSIONS_Y_AXIS_LABEL;
 
 			String cmd = "pie(" + ssizes + ", labels=" + snames + //$NON-NLS-1$ //$NON-NLS-2$
 					", main=\"" + title + "\", horiz=F, las=2, ylab=\"" + ylab + "\")"; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
@@ -88,7 +88,7 @@
 			((RChartsEngine) this.chartsEngine).plot(file, cmd);
 		}
 		catch(Exception e) {
-			Log.severe(TBXPartitionMessages.bind(TBXPartitionMessages.CHARTSENGINE_CANT_CREATE_PARTITION_DIMENSIONS_FILE_CHART, RChartsEngine.DESCRIPTION) + e);
+			Log.severe(PartitionCoreMessages.bind(PartitionCoreMessages.CHARTSENGINE_CANT_CREATE_PARTITION_DIMENSIONS_FILE_CHART, RChartsEngine.DESCRIPTION) + e);
 		}
 
 		return file;
Index: tmp/org.txm.partition.core/src/org/txm/partition/core/chartsengine/r/RPartitionDimensionsBarChartCreator.java
===================================================================
--- tmp/org.txm.partition.core/src/org/txm/partition/core/chartsengine/r/RPartitionDimensionsBarChartCreator.java	(revision 136)
+++ tmp/org.txm.partition.core/src/org/txm/partition/core/chartsengine/r/RPartitionDimensionsBarChartCreator.java	(revision 137)
@@ -7,7 +7,7 @@
 import org.txm.chartsengine.r.core.RChartsEngine;
 import org.txm.core.preferences.TXMPreferences;
 import org.txm.partition.core.chartsengine.base.Utils;
-import org.txm.partition.core.messages.TBXPartitionMessages;
+import org.txm.partition.core.messages.PartitionCoreMessages;
 import org.txm.partition.core.preferences.PartitionDimensionsPreferences;
 import org.txm.searchengine.cqp.corpus.Part;
 import org.txm.searchengine.cqp.corpus.Partition;
@@ -80,7 +80,7 @@
 			// Create chart title
 			String title = Utils.createPartitionDimensionsChartTitle(partition, sortPartsBySize, displayPartsCountInTitle);
 
-			String ylab = TBXPartitionMessages.CHARTSENGINE_PARTITION_DIMENSIONS_Y_AXIS_LABEL;
+			String ylab = PartitionCoreMessages.CHARTSENGINE_PARTITION_DIMENSIONS_Y_AXIS_LABEL;
 
 			String cmd = "barplot(" + ssizes + ", names.arg=" + snames + //$NON-NLS-1$ //$NON-NLS-2$
 					", main=\"" + title + "\", horiz=F, las=2, ylab=\"" + ylab + "\")"; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
@@ -88,7 +88,7 @@
 			((RChartsEngine) this.chartsEngine).plot(file, cmd);
 		}
 		catch(Exception e) {
-			Log.severe(TBXPartitionMessages.bind(TBXPartitionMessages.CHARTSENGINE_CANT_CREATE_PARTITION_DIMENSIONS_FILE_CHART, RChartsEngine.DESCRIPTION) + e);
+			Log.severe(PartitionCoreMessages.bind(PartitionCoreMessages.CHARTSENGINE_CANT_CREATE_PARTITION_DIMENSIONS_FILE_CHART, RChartsEngine.DESCRIPTION) + e);
 			Log.printStackTrace(e);
 		}
 
